package com.hs.admin.listener;

import com.hs.admin.service.SchedulerJobService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author xieheng
 */
@Component

public class SchedulerJobListener implements CommandLineRunner {
    private static final Logger LOGGER = LoggerFactory.getLogger(SchedulerJobListener.class);

    @Resource
    SchedulerJobService schedulerJobService;

    @Override
    public void run(String... args) {
        try {
            schedulerJobService.initJobList();
        } catch (Exception e) {
            LOGGER.error(">>>SchedulerJobListener error :" + e);
        }
    }
}
