package com.hs.admin.dao;


import com.hs.admin.bean.DataBase;
import com.hs.admin.bean.SysTask;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface SysTaskDao {

    int insert(SysTask record);

    int updateByPrimaryKey(SysTask record);

    int delTask(Integer taskId);

    List<Map> findAllByCondition(HashMap<String, Object> map);

    int delTaskById(Integer id);

    Long getTotalCount(HashMap<String, Object> map);

    SysTask findTaskByJobName(String jobName);

    int updateMqContent(SysTask sysTask);

    int update(SysTask task);

    List<SysTask> getTaskList();

    int delete(SysTask task);

    DataBase getDbInfo(String jcbId);
}